Skip to contentDevelopersPrezly website
Stories

Translate Story

Create a draft translation of a story, or return the existing translation for that site and language.

Personal tokens are not supported for this endpoint. Use an integration API key. Your account must also have access to the requested data. Authentication

Read the guide

POST
/stories/{story_id}/translate

Translate individual Story

By using this endpoint, the original and the translated stories will be linked.

Personal access tokens are not supported for this endpoint. Use an integration API key with the required permissions.

Authorization

API_key
headerAuthorizationBearer <token>

Bearer authentication using an integration API key, or a personal access token only where the operation explicitly supports it. Every listed personal-token scope is required; owner permissions and newsroom access still apply.

Path Parameters

story_id*string

Story UUID or ID

Length1 <= length

Request Body

application/json
  1. body
culture?|

One of the culture codes configured for the newsroom.

auto?boolean

If the story content should be auto-translated using Prezly's integration with DeepL. Requires access to the feature.

Response Body

OK

application/json
  1. response
story?

Extended Story object containing additional "heavy" properties that are not included into normal Story objects returned from listing API.

Example Request
curl -X POST 'https://api.prezly.com/v2/stories/string/translate' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
{  "story": {    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",    "id": 0,    "thumbnail_url": "http://example.com",    "title": "string",    "subtitle": "string",    "intro": "string",    "culture": {      "code": "en",      "name": "string",      "direction": "ltr",      "language_code": "en",      "native_name": "string"    },    "slug": "string",    "format_version": 1,    "language": "string",    "status": "uninitialized",    "lifecycle_status": "uninitialized",    "publication_status": "uninitialized",    "visibility": "private",    "is_archived": true,    "is_finalized": true,    "is_published": true,    "is_draft": true,    "is_embargo": true,    "is_private": true,    "is_scheduled": true,    "is_analytics_available": true,    "is_sharable": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "published_at": "2019-08-24T14:15:22Z",    "scheduled_at": "2019-08-24T14:15:22Z",    "author": {      "id": 0,      "email": "http://example.com",      "name": "string",      "display_name": "string",      "first_name": "string",      "last_name": "string",      "avatar_url": "http://example.com"    },    "newsroom": {      "id": 0,      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "name": "string",      "display_name": "string",      "subdomain": "string",      "thumbnail_url": "http://example.com",      "timezone": "europe/london",      "is_active": true,      "is_archived": true,      "is_online": true,      "is_offline": true,      "is_multilingual": true,      "url": "http://example.com",      "links": {        "media_gallery_api": "http://example.com",        "room_contacts_api": "http://example.com",        "analytics_and_visibility_settings": "http://example.com",        "categories_management": "http://example.com",        "company_info_settings": "http://example.com",        "contacts_management": "http://example.com",        "domain_settings": "http://example.com",        "edit": "http://example.com",        "gallery_management": "http://example.com",        "hub_settings": "http://example.com",        "languages": "http://example.com",        "look_and_feel_settings": "http://example.com",        "manual_subscription_management": "http://example.com",        "privacy_settings": "http://example.com",        "widget_settings": "http://example.com"      }    },    "oembed": {      "url": "http://example.com",      "type": "video",      "version": "1.0",      "title": "string",      "description": "string",      "author_name": "string",      "author_url": "http://example.com",      "provider_name": "string",      "provider_url": "http://example.com",      "cache_age": 0,      "html": "string",      "thumbnail_url": "http://example.com",      "thumbnail_width": 1,      "thumbnail_height": 1,      "screenshot_url": "http://example.com"    },    "links": {      "api": "string",      "preview": "string",      "edit": "string",      "sharing": "string",      "duplicate": "string",      "translate": "string",      "analytics": "string",      "delete": "string",      "publication_api": "string",      "reports_api": "string",      "short": "string",      "newsroom_view": "http://example.com",      "newsroom_preview": "http://example.com"    },    "categories": [      {        "id": 0,        "display_name": "string",        "display_description": "string",        "i18n": {          "[a-z]{2,3}(_[A-Z][a-z]{3})?(_[A-Z]{2})?": {            "name": "string",            "description": "string",            "slug": "string",            "locale": {              "code": "en",              "name": "string",              "direction": "ltr",              "language_code": "en",              "native_name": "string"            }          }        },        "stories_number": 0      }    ],    "translations": [      {        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "id": 0,        "thumbnail_url": "http://example.com",        "title": "string",        "culture": {          "code": "en",          "name": "string",          "direction": "ltr",          "language_code": "en",          "native_name": "string"        },        "language": "string",        "status": "uninitialized",        "lifecycle_status": "uninitialized",        "publication_status": "uninitialized",        "visibility": "public",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "published_at": "2019-08-24T14:15:22Z",        "scheduled_at": "2019-08-24T14:15:22Z",        "author": {          "id": 0,          "email": "http://example.com",          "name": "string",          "display_name": "string",          "first_name": "string",          "last_name": "string",          "avatar_url": "http://example.com"        },        "newsroom": {          "id": 0,          "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",          "name": "string",          "display_name": "string",          "subdomain": "string",          "thumbnail_url": "http://example.com",          "timezone": "europe/london",          "is_active": true,          "is_archived": true,          "is_online": true,          "is_offline": true,          "is_multilingual": true,          "url": "http://example.com",          "links": {            "media_gallery_api": "http://example.com",            "room_contacts_api": "http://example.com",            "analytics_and_visibility_settings": "http://example.com",            "categories_management": "http://example.com",            "company_info_settings": "http://example.com",            "contacts_management": "http://example.com",            "domain_settings": "http://example.com",            "edit": "http://example.com",            "gallery_management": "http://example.com",            "hub_settings": "http://example.com",            "languages": "http://example.com",            "look_and_feel_settings": "http://example.com",            "manual_subscription_management": "http://example.com",            "privacy_settings": "http://example.com",            "widget_settings": "http://example.com"          }        },        "url": "http://example.com",        "oembed": {          "url": "http://example.com",          "type": "video",          "version": "1.0",          "title": "string",          "description": "string",          "author_name": "string",          "author_url": "http://example.com",          "provider_name": "string",          "provider_url": "http://example.com",          "cache_age": 0,          "html": "string",          "thumbnail_url": "http://example.com",          "thumbnail_width": 1,          "thumbnail_height": 1,          "screenshot_url": "http://example.com"        },        "slug": "string"      }    ],    "coverage_number": 0,    "images_number": 0,    "videos_number": 0,    "last_coverage_at": "http://example.com",    "tag_names": [      "string"    ],    "content": "string",    "header_image": "string",    "preview_image": "string",    "social_image": "string",    "social_text": "string",    "thumbnail_image": "string",    "referenced_entities": {      "stories": {        "<uuid>": {          "url": "http://example.com",          "type": "video",          "version": "1.0",          "title": "string",          "description": "string",          "author_name": "string",          "author_url": "http://example.com",          "provider_name": "string",          "provider_url": "http://example.com",          "cache_age": 0,          "html": "string",          "thumbnail_url": "http://example.com",          "thumbnail_width": 1,          "thumbnail_height": 1,          "screenshot_url": "http://example.com"        }      }    },    "content_version": 0  }}